# git clone git://gitorious.org/fg/simgear.git

%define name simgear
%define libname		%mklibname %{name}
%define develname	%mklibname %{name} -d
%define version	3.4.0
%define release	%mkrel 1

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	A set of open-source libraries for 3d simulations, games, and visualization applications
License:	GPL
Group:		Development/Libraries
Source0:	http://mirrors.ibiblio.org/pub/mirrors/simgear/ftp/Source/%{name}-%{version}.tar.xz
Patch0:		simgear-2.6.0-fedora-check-for-%n-in-format-string.patch
URL:		http://www.simgear.org/
BuildRequires:	%{_lib}openal-devel %{_lib}mesagl1-devel libtool %{_lib}tcl-devel
BuildRequires:	%{_lib}x11-devel findutils %{_lib}mesaglu1-devel libstdc++-devel
BuildRequires:	autoconf automake %{_lib}metakit-devel zlib-devel cmake 
BuildRequires:	%{_lib}plib1-devel >= 1.8.5 %{_lib}boost-devel %{_lib}jpeg-devel freealut-devel
BuildRequires:	%{_lib}OpenSceneGraph-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot


%description
SimGear is a set of open-source libraries designed to be used as
building blocks for quickly assembling 3d simulations, games, and
visualization applications.
The term "Simulation Kernel" is a bit presumptuous for us at this
point, but this is the direction we are heading with SimGear.

%package  -n %libname
Summary:	A set of open-source libraries for 3d simulations, games, and visualization applications
Group:		Development/Libraries
Requires:	%{_lib}mesagl1

%description  -n %libname
SimGear is a set of open-source libraries designed to be used as
building blocks for quickly assembling 3d simulations, games, and
visualization applications.
The term "Simulation Kernel" is a bit presumptuous for us at this
point, but this is the direction we are heading with SimGear.

%package  -n %develname
Summary:	Header files for SimGear
Group:		Development/C
Requires:	%libname = %{version}-%{release}
Requires:	%{_lib}openal-devel %{_lib}mesagl1-devel 
Requires:	%{_lib}plib1-devel

%description  -n %develname
Header files neccessary to build SimGear applications.

%prep
%setup -q -n %{name}-%{version}
%patch0 -p1 -b .checkforn

%build
%cmake -DSIMGEAR_SHARED:BOOL=ON -DENABLE_TESTS:BOOL=OFF -DJPEG_FACTORY:BOOL=ON
%make 

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std -C build

%clean
rm -rf $RPM_BUILD_ROOT

%files -n %libname
%defattr(644,root,root,755)
%doc AUTHORS COPYING NEWS
%attr(755,root,root)
%{_libdir}/libSimGearCore.so.%{version}
%{_libdir}/libSimGearScene.so.%{version}

%files -n %develname
%defattr(644,root,root,755)
%attr(755,root,root)
%{_includedir}/simgear
%{_libdir}/libSimGearCore.so
%{_libdir}/libSimGearScene.so
%{_datadir}/SimGearCore/*.cmake


%changelog
* Thu Jun 11 2015 MBantz <martin dot bantz at gmail dot com> 3.4.0-1pclos2015
- Update to 3.4.0

* Mon Apr 07 2014 pinoc <vogtpet at gmail.com> 3.0.0-1pclos2014
- 3.0.0

* Fri Sep 27 2013 pinoc <vogtpet at gmail.com> 2.12.0-1pclos2013
- 2.12.0
- updated BR

* Thu Dec 27 2012 MBantz <martin dot bantz at gmail dot com> 2.8.0-1pclos2013
- Update to 2.8.0

* Mon Jul 30 2012 MBantz <martin dot bantz at gmail dot com> 2.6.0-1pclos2011
- Update to 2.6.0

* Mon Jan 02 2012 MBantz <martin dot bantz at gmail dot com> 2.4.0-1pclos2011
- Adapted to 64 bit

* Tue May 31 2010 MBantz <martin.bantz at gmail dot com> 2.0.0-2
- Update to cvs version - fixing route planner

* Tue Mar 02 2010 MBantz <martin dot bantz at gmail dot com> 2.0.0
- Update to 2.0.0

* Sat Jun 14 2009 MBantz <martin dot bantz at gmail dot com> 1.9.1-1pclos2007
- Update to 1.9.1

* Sun May 25 2009 Texstar <texstar@gmail.com> 1.0.0-2pclos2009
- fix rpm group

* Tue Apr 15 2008 P. K. Frederic <pkfric@yahoo.com> 1.0.0-1pclos2007
- initial build for PCLinuxOS
